apiVersion: camel.apache.org/v1alpha1
kind: KameletBinding
metadata:
  name: timer-predicate-log
spec:
  integration:
    traits:
      builder:
        configuration:
          properties:
#          - "quarkus.arc.remove-unused-beans=none"
          - "quarkus.arc.unremovable-types=com.fasterxml.jackson.databind.ObjectMapper"
  source:
    ref:
      kind: Kamelet
      apiVersion: camel.apache.org/v1alpha1
      name: timer-source
    properties:
      message: '{ "foo":"John", "bar":300, "baz":"ciao3" }'
      contentType: 'application/json'
  steps:
  - ref:
      kind: Kamelet
      apiVersion: camel.apache.org/v1alpha1
      name: json-deserialize-action
  - ref:
      kind: Kamelet
      apiVersion: camel.apache.org/v1alpha1
      name: predicate-filter-action
    properties:
      expression: "@.foo =~ /.*John/"
  sink:
    ref:
      kind: Kamelet
      apiVersion: camel.apache.org/v1alpha1
      name: log-sink
